### Constructor

# Gtk FileChooserWidgetnew

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_file_chooser_widget_new (
      GtkFileChooserAction action
    )

#### Description [src]

Creates a new `GtkFileChooserWidget`.

This is a file chooser widget that can be embedded in custom windows, and it is the same widget that is used by `GtkFileChooserDialog`.

Deprecated since: 4.10

Direct use of `GtkFileChooserWidget` is deprecated.

#### Parameters

`action`

  Type: `GtkFileChooserAction`

  Open or save mode for the widget.

#### Return value

Type: `GtkWidget`

A new `GtkFileChooserWidget`

The data is owned by the called function.